KDE 4.9 PyKDE API Reference

- KDE's Python API

# KAcceleratorManager Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

KDE Accelerator manager.

This class can be used to find a valid and working set of accelerators for any widget.

Author:
  Matthias Hölzer-Klüpfel <mhk@kde.org>

## Static Methods

| last_manage (QString added, QString changed, QString removed)
| manage (QWidget widget, bool programmers_mode=0)
| setNoAccel (QWidget widget)

## Static Method Documentation

last_manage | ( | QString | added,
|  | QString | changed,
|  | QString | removed
| ) |  |  |

Internal:
  returns the result of the last manage operation.

manage | ( | QWidget | widget,
|  | bool | programmers_mode=0
| ) |  |  |

Manages the accelerators of a widget.

Call this function on the top widget of the hierarchy you want to manage. It will fix the accelerators of the child widgets so there are never duplicate accelerators. It also tries to put accelerators on as many widgets as possible.

The algorithm used tries to take the existing accelerators into account, as well as the class of each widget. Hopefully, the result is close to what you would assign manually.

QPopupMenu's are managed dynamically, so when you add or remove entries, the accelerators are reassigned. If you add or remove widgets to your toplevel widget, you will have to call manage again to fix the accelerators.

Parameters:

  | widget | The toplevel widget you want to manage.
  | programmers_mode | if true, KAcceleratorManager adds (&) for removed accels and & before added accels

setNoAccel | ( | QWidget | widget
| ) |  |  |

Use this method for a widget (and its children) you want no accels to be set on.